import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/finance/aftersales/storeList',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/finance/aftersales/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/finance/aftersales/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/finance/aftersales/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/finance/aftersales/submit',
    method: 'post',
    data: row
  })
}

export const confirm = (orderId, afterSalesId) => {
  return request({
    url: '/api/finance/aftersales/confirm',
    method: 'post',
    params: {
      orderId,
      afterSalesId
    }
  })
}

export const refund = (orderId, afterSalesId) => {
  return request({
    url: '/api/finance/aftersales/refund',
    method: 'post',
    params: {
      orderId,
      afterSalesId
    }
  })
}

